Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 452459

Summary: RAID1 md0 /boot Array Fails to Run Degraded
Product: [Fedora] Fedora Reporter: Michael Chinn <mike>
Component: mdadmAssignee: Doug Ledford <dledford>
Status: CLOSED NEXTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 9   
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2008-11-19 14:47:51 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Michael Chinn 2008-06-23 04:48:35 UTC
Description of problem:

On a system with md0 mounted as /boot, system boots into maintenance shell if
the RAID1 md0 array is degraded (e.g., secondary disk is blank).

Version-Release number of selected component (if applicable):

mdadm-2.6.4-4.fc9.x86_64

How reproducible:

Every time.

Steps to Reproduce:
1. Install Fedora 9 from DVD, manually partitioning disks to create /boot, swap,
and / as RAID1 md0, md1, md2 with two partitions in each array.  Manually run
grub, etc. to make both disks bootable.

2. Secondary disk "fails", system is taken down and a blank disk is installed as
secondary.

3. System drops into maintenance shell on boot with md1 and md2 running but md0
stopped.  Must manually start md0 with "mdadm --assemble --run /dev/md0
/dev/sda1" to continue.  Must partition secondary disk and remirror to allow
successful booting.

Actual results:

Maintenance shell with md0 stopped.

Expected results:

Booting normally.

Additional info:

Based on notes in Bug #447818 discussing issues with "mdadm --incremental", I
added "--run" to the "mdadm --incremental" command in
/etc/udev/rules.d/70-mdadm.rules, fixing the problem.  I'm now able to boot with
md0 degraded.

Comment 1 Doug Ledford 2008-06-26 23:55:39 UTC
I added the --run option to the rule in the next build.

Comment 2 Fedora Update System 2008-06-27 00:07:22 UTC
mdadm-2.6.7-1.fc9 has been submitted as an update for Fedora 9

Comment 3 Fedora Update System 2008-06-28 22:15:33 UTC
mdadm-2.6.7-1.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update mdadm'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-5804

Comment 4 Michael Chinn 2008-06-29 19:31:04 UTC
The "--run" added in mdadm-2.6.7-1.fc9 fixes this issue.  I duplicated my
initial test setup and was able to boot with the md0 array degraded.  Thanks.

Comment 5 Fedora Update System 2008-10-30 13:55:09 UTC
mdadm-2.6.7.1-1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/mdadm-2.6.7.1-1.fc9

Comment 6 Fedora Update System 2008-10-31 10:26:12 UTC
mdadm-2.6.7.1-1.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update mdadm'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-9325

Comment 7 Michael Chinn 2008-11-03 16:03:23 UTC
mdadm-2.6.7.1-1.fc9 fixes this issue even without a "--run" argument, presumably through updates to "--incremental".  I was able to properly boot with a blank secondary.  Note that the emails sent by the buzilla should be updated to mention that the repository is now "updates-testing-newkey".  Thanks.

Comment 8 Fedora Update System 2008-11-19 14:47:32 UTC
mdadm-2.6.7.1-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.